Subject: Re: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Lars Eriksson <[email-masked]>
Date: Sat, 5 Nov 2016 12:42:52 +0100

Hi Mosé, 

Thank you for your prompt response, sorry for not responding earlier.

I did not add the search path explicitly as it was placed under the site-lisp directly inside the emacs distribution
 /Applications/Emacs.app/Contents/Resources/site-lisp
This directory should be available automatically by emacs. Emacs does find and execute the main auctex-file, so I believed that the path was not necessary. This might be my error.

A correction:
I made a mistake in my test with the 24.5, I was too quick on the keyboard With the auctex error there is no syntax highlighting. I installed 24.5 and AucTeX and opened emacs with a latex file and got syntax highlighting so I believed auctex was loaded but it was not, at the time of me sending the mail. Some more testing showed that my Mac had started Emacs from the dmg file that was still open at the time of testing and only loaded the standard latex mode and gave me syntax highlighting and I jumped to the conclusion that all was working… But when the dmg was unmounted AucTeX was not working.

So the latest AucTeX-build did not work on 24.5….
I later tried the old Au11.89 and Em 24.5 without success (same error) so I went for Au 11.88 and Em 24.5 and can confirm that this works for me.
I have AucTex in the distribution place
 /Applications/Emacs.app/Contents/Resources/site-lisp
and 

Hope this helps some one:

Best,
Lars

> 3 nov. 2016 kl. 16:44 skrev Mosè Giordano <[email-masked]>:
> 
> Hi Lars,
> 
> 2016-11-03 12:54 GMT+01:00 Lars Eriksson <[email-masked]>:
>> Hi,
>> 
>> Might be Emacs and not AucTeX that cause the problems but it was AucTeX that
>> triggered my problems, and I wanted to make you aware...
>> 
>> I have a clean installation of Emacs for Mac 25.1.1 and pulled a fresh
>> auctex from github (see script below).
>> In my .emacs I have reduced everything to to (load "auctex.el" nil t t)
>> When I try to open a LaTeX-file I get the  message:
> 
> I see that you're passing to configure an explicit --with-lispdir, did
> you add to your init file the line
> 
>   (add-to-list 'load-path "~/elisp")
> 
> before loading auctex.el, as explained in the manual?
> 
> Bye,
> Mosè